<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Revenge of the Cosmic Ghost Rider</Series>
  <Number>001</Number>
  <Web>https://www.comixology.com/Revenge-Of-The-Cosmic-Ghost-Rider-2019-1-of-5/digital-comic/806358</Web>
  <Volume>2019</Volume>
  <Summary>Cosmic Ghost Rider is back, baby! But with a reputation like his, it’s only a matter of time before the law catches up to the future Frank Castle and tries to put him in chains - too bad for the law, chains are Castle’s weapons of choice these days. Now in an intergalactic prison, the Rider is going to turn his cage into an all-out cage match! Who’s going to be the last alien standing?! Find out in this all new miniseries from Dennis “Hopeless” Hallum (MARVEL’S SPIDERMAN: CITY AT WAR) and Scott Hepburn (DEADPOOL)! Plus - Don’t miss out on a brand new short story from the guys who started it all, Donny Cates (ABSOLUTE CARNAGE) and Geoff Shaw (GUARDIANS OF THE GALAXY)!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB806358], [RELDATE:2019-12-18]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>34</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
